import java.util.*;

public class GenRandom {
	public static void main(String[] args) {
		Random rand = new Random();
		System.out.println("1000");
		for(int i = 0; i < 1000; ++i) {
			System.out.println(Math.abs(rand.nextLong()) % (Long.parseLong("1000000000000000000") + 1) + " " + 
			Math.abs(rand.nextInt()) % 1000 + 1);
		}
	}
} 